summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/dhcp/dhcpd
diff options
context:
space:
mode:
authorGreg Frost <gregfrost1@bigpond.com>2009-06-20 00:49:54 (GMT)
committerGreg Frost <gregfrost1@bigpond.com>2009-06-20 00:49:54 (GMT)
commit5cd6f8910de61c39af2c6821909bcab36bb983e6 (patch)
treebd46210e8edc300f431207394849a2bdfc17e603 /abs/core-testing/dhcp/dhcpd
parent06ba6de894ea5a79a85b2fd4ebbc1faf3eeaba36 (diff)
downloadlinhes_pkgbuild-5cd6f8910de61c39af2c6821909bcab36bb983e6.zip
linhes_pkgbuild-5cd6f8910de61c39af2c6821909bcab36bb983e6.tar.gz
linhes_pkgbuild-5cd6f8910de61c39af2c6821909bcab36bb983e6.tar.bz2
dhcp: added package for use with diskless FEs
Diffstat (limited to 'abs/core-testing/dhcp/dhcpd')
-rwxr-xr-xabs/core-testing/dhcp/dhcpd39
1 files changed, 39 insertions, 0 deletions
diff --git a/abs/core-testing/dhcp/dhcpd b/abs/core-testing/dhcp/dhcpd
new file mode 100755
index 0000000..0aebcc8
--- /dev/null
+++ b/abs/core-testing/dhcp/dhcpd
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PIDFILE="/var/run/dhcpd.pid"
+PID=`cat $PIDFILE 2>/dev/null`
+case "$1" in
+ start)
+ stat_busy "Starting DHCP Server"
+ if [ "$PID" = "" ]; then
+ /usr/sbin/dhcpd -q
+ fi
+ if [ "$PID" != "" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon dhcpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping DHCP Server"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ rm -f $PIDFILE
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon dhcpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac